Bug 192583 - (php-pear-XML-Parser) Review Request: php-pear-XML-Parser - XML parsing class based on PHP's bundled expat
Review Request: php-pear-XML-Parser - XML parsing class based on PHP's bundle...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT pear-Payment-Process
  Show dependency treegraph
 
Reported: 2006-05-21 03:56 EDT by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 12:53:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-05-21 03:56:41 EDT
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-XML-Parser.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-XML-Parser-1.2.7-1.fc5.src.rpm
Description: http://remi.collet.free.fr/rpms/extras/php-pear-XML-Parser-build.log

This is an XML parser based on PHPs built-in xml extension.
It supports two basic modes of operation: "func" and "event".
In "func" mode, it will look for a function named after each element
(xmltag_ELEMENT for start tags and xmltag_ELEMENT_ for end tags),
and in "event" mode it uses a set of generic callbacks.

Since version 1.2.0 there's a new XML_Parser_Simple class that makes
parsing of most XML documents easier, by automatically providing a stack
for the elements. Furthermore its now possible to split the parser from
the handler object, so you do not have to extend XML_Parser anymore in
order to parse a document with it.
--------------------
With DB, HTTP (Bug #190156), Mail (Bug #190066), Net_Socket (Bug #190957), Net_SMTP (Bug #190958), extras will provides all the extensions which was provides by php until version 5.0.4 (in FC4).
Comment 1 Parag AN(पराग) 2006-06-01 05:28:00 EDT
Not a Review but some hints on improving SPEC:-
1) Remove Provides tag RPM will generate an appropriate Provides: entry itself.
2) rpmlint gives error on using License: PHP License
3) Add some Documnetation Files like README, INSTALL
Comment 2 Parag AN(पराग) 2006-06-01 05:29:22 EDT
Also when i built repm from SPEC i got
warning: pear/XML_Parser requires package "pear/PEAR"
Comment 3 Remi Collet 2006-06-03 08:08:24 EDT
1/ Provides follow php guidelines
http://fedoraproject.org/wiki/Packaging/PHP

2/ it's a rpmlint bug, see Bug #191078

3/ none provided upstream (only examples), i've also add the Licence.

4/ this warning is "normal". Useful to check the "Requires" in spec file.
Comment 4 Christopher Stone 2006-06-27 05:59:29 EDT
I will do a formal review on this package but you will not be able to check it
in until you are sponsered with bug #190007
Comment 5 Christopher Stone 2006-06-27 19:14:04 EDT
MUST ITEM CHECKLIST:
- rpmlint output:
W: php-pear-XML-Parser invalid-license PHP License
W: php-pear-XML-Parser dangerous-command-in-%post install
W: php-pear-XML-Parser invalid-license PHP License

Warnings can be ignored

- package is named according to php packaging naming guidelines
- spec file name matches %{name}
- package meets packaging guidelines
- package is licensed with open source compatible license
- license field matches actual license
- source contains license file in %doc
- spec file is in American English (and french)
- spec file is legible
- sources match upstream
f4a491b49843f8257df8ded088854db3  XML_Parser-1.2.7.tgz
- package successfully compiles and builds on FC-5 x86_64
O This package is missing:
Requires(post):   php-pear >= 1.4.9
Requires(postun): php-pear >= 1.4.9
- package does not use locales
- package does not contain shared libraries in default paths (no need to run
ldconfig)
- package is not relocatable
- package owns all directories it creates
- package does not contain any duplicate %files
- permissions are set properly
- package contains proper %clean section
- macro usage is consistant
- package contains permissible content
- package does not have large documentation
- package does not include header files or static libraries
- package does not use pkgconfig files
- package does not contain library with suffix
- package does not require a devel subpackage
- package does not contain any .la files
- package is not a gui and does not need a .desktop file
- package does not own files or directories owned by other packages

MUST
- Must Add:
Requires(post):   php-pear >= 1.4.9
Requires(postun): php-pear >= 1.4.9
- Explain why adding  || : in %post and %postun sections was added, should we
not fail if this step fails?
- Change %defattr to (-,root,root,-)
- Remove dist tages in changelog version numbers
Comment 6 Christopher Stone 2006-06-28 05:46:18 EDT
Also, add php >= 4.2.0 to the Requires to meet PHP packaging guidelines
Comment 7 Remi Collet 2006-09-02 04:10:28 EDT
Spec: http://remi.collet.free.fr/rpms/extras/php-pear-XML-Parser.spec
SRPM: http://remi.collet.free.fr/rpms/extras/php-pear-XML-Parser-1.2.7-2.fc5.src.rpm
Mock: http://remi.collet.free.fr/rpms/extras/php-pear-XML-Parser-build.log

Changes:
- use new macros from /etc/rpm/macros.pear
- own /usr/share/pear/XML
- require php >= 4.2.0

Comment 8 Christopher Stone 2006-09-03 00:39:22 EDT
Hi Remi, can you update the %setup and %install sections to the new cleaner way
shown here:

https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=135449

More info at bug #198706
Comment 10 Christopher Stone 2006-09-03 19:53:03 EDT
Looks good, approved.
Comment 11 Christopher Stone 2006-09-03 20:01:21 EDT
please change %defattr(-,root,root) to defattr(-,root,root,-) after importing
into cvs.
Comment 12 Remi Collet 2007-03-31 04:30:31 EDT
Package Change Request
======================
Package Name: php-pear-XML-Parser
New Branches: EL-5
Comment 13 Jens Petersen 2007-04-02 09:08:08 EDT
done

Note You need to log in before you can comment on or make changes to this bug.